Package ch.qos.logback.core.rolling.helper

## Class DateTokenConverter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<E>
      - - ch.qos.logback.core.rolling.helper.DateTokenConverter<E>

All Implemented Interfaces:
  `MonoTypedConverter`, `ContextAware`, `LifeCycle`

    public class DateTokenConverter<E>
    extends DynamicConverter<E>
    implements MonoTypedConverter

Returns a date formatted by SimpleDateFormatter.

Author:
  Ceki Gülcü

### Field Summary

Fields
`static java.lang.String` `AUXILIARY_TOKEN`
`static java.lang.String` `CONVERTER_KEY` The conversion word/character with which this converter is registered.
`static java.lang.String` `DEFAULT_DATE_PATTERN`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
`DateTokenConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `convert​(java.lang.Object o)` The convert method is responsible for extracting data from the event and storing it for later use by the write method.
`java.lang.String` `convert​(java.util.Date date)`
`java.lang.String` `getDatePattern()` Return the date pattern.
`java.util.TimeZone` `getTimeZone()`
`boolean` `isApplicable​(java.lang.Object o)`
`boolean` `isPrimary()`
`void` `start()` Components that depend on options passed during configuration can override this method in order to make appropriate use of those options.
`java.lang.String` `toRegex()`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONVERTER_KEY

    public static final java.lang.String CONVERTER_KEY

The conversion word/character with which this converter is registered.

See Also:
  Constant Field Values

#### AUXILIARY_TOKEN

    public static final java.lang.String AUXILIARY_TOKEN

See Also:
  Constant Field Values

#### DEFAULT_DATE_PATTERN

    public static final java.lang.String DEFAULT_DATE_PATTERN

See Also:
  Constant Field Values

### Constructor Detail

#### DateTokenConverter

    public DateTokenConverter()

### Method Detail

#### start

    public void start()

Description copied from class: `DynamicConverter`
Components that depend on options passed during configuration can override this method in order to make appropriate use of those options. For simpler components, the trivial implementation found in this abstract class will be sufficient.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `DynamicConverter<E>`

#### convert

    public java.lang.String convert​(java.util.Date date)

#### convert

    public java.lang.String convert​(java.lang.Object o)

Description copied from class: `Converter`
The convert method is responsible for extracting data from the event and storing it for later use by the write method.

Specified by:
  `convert` in class `Converter<E>`

#### getDatePattern

    public java.lang.String getDatePattern()

Return the date pattern.

#### getTimeZone

    public java.util.TimeZone getTimeZone()

#### isApplicable

    public boolean isApplicable​(java.lang.Object o)

Specified by:
  `isApplicable` in interface `MonoTypedConverter`

#### toRegex

    public java.lang.String toRegex()

#### isPrimary

    public boolean isPrimary()